﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_Ledger>
@{
    ViewBag.Title = "GetLedger";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Ledger of @ViewBag.StudentName - Roll No:- @ViewBag.RollNo
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
      string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            V.No.
                        </th>
                        <th>
                            Date
                        </th>
                        <th>
                            Voucher Type
                        </th>
                        <th>
                            Narration
                        </th>
                        <th>
                            Debit
                        </th>
                        <th>
                            Credit
                        </th>
                        <th>
                            Balance
                        </th>
                        <th>
                            State
                        </th>
                        @*<th>
                          
                        </th>*@
                    </tr>
                </thead>
                <tbody>
                    @{
                        double? dbtamt = 0;
                        double? crdamt = 0;
                        double? bal = 0;
                        int i = 0;
                        string bgcolor = "oddrow";
                        double? opbal = 0;
                        double? coursefee = 0; //to get summary for totalcourse fee
                        double? feerecipt = 0;
                        double? feerecadj = 0;
                        double? feerefund = 0;
                    }
                    @foreach (var item in Model)
                    {
                        if (i == 0)
                        {
                            if (item.balance != null)
                            {
                                opbal = item.balance;
                            }
                        }

                        if (item.VoucherType == CommonUtil.LedgerCourseFees)
                        {
                            if (item.DebitAmt != null)
                            {
                                coursefee += item.DebitAmt;
                            }
                        }

                        if (item.VoucherType == CommonUtil.LedgerFeeReceipt)
                        {
                            if (item.CreditAmt != null)
                            {
                                feerecipt += item.CreditAmt;
                            }
                        }

                        if (item.VoucherType == CommonUtil.LedgerFeeAdjustment)
                        {
                            if (item.CreditAmt != null)
                            {
                                feerecadj += item.CreditAmt;
                            }
                        }


                        if (item.VoucherType == CommonUtil.LedgerFeeRefund)
                        {
                            if (item.DebitAmt != null)
                            {
                                feerefund += item.DebitAmt;
                            }
                        }



                        if (item.DebitAmt != null)
                        {
                            dbtamt += item.DebitAmt;
                        }
                        if (item.CreditAmt != null)
                        {
                            crdamt += item.CreditAmt;
                        }
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.VoucherNo)
                            </td>
                            <td>
                                @{string cdate = string.Format("{0:dd MMM,yyyy}", item.Vouchdate);}
                        
                        @cdate
                                                 

                              
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.VoucherType)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Narration)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.DebitAmt)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.CreditAmt)
                            </td>
                            <td>@Html.DisplayFor(modelItem => item.balance)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.state)
                            </td>
                            @* <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaTime", new { id = item.Id }, new { @class = "delete-link" }, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                            </td>*@
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        @{
            bal = dbtamt - crdamt;
            
        }
        <table width="100%">
            <tr>
                <td align="left" width="50%" valign="top">
                    <table align="left" border="3" cellspacing="8" width="50%">
                        <tr>
                            <td align="left">
                                Total Debit Sum
                            </td>
                            <td align="right" width="80px">
                                @dbtamt
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Total Credit Sum
                            </td>
                            <td align="right">
                                @crdamt
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="right" width="40%" valign="top">
                    <table align="right" border="3" cellspacing="8">
                        <tr>
                            <td align="left" width="150px">
                                Opening Balance
                            </td>
                            <td align="right" width="80px">
                                @opbal
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Closing Balance
                            </td>
                            <td align="right">
                                @bal
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="right" width="10%">
                </td>
            </tr>
            <tr>
                <td colspan="3" align="left">
                    <table align="left" border="3" cellpadding="8" width="50%">
                        <tr>
                            <td align="left">
                                Total Course Fee
                            </td>
                            <td align="right" width="80px">
                                @coursefee
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Total Fee Receipt
                            </td>
                            <td align="right" width="80px">
                                @feerecipt
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Total Fee Refund
                            </td>
                            <td align="right" width="80px">
                                @feerefund
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Total Fee Adjustment
                            </td>
                            <td align="right" width="80px">
                                @feerecadj
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        @*<div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>

        </div>*@
    </div>
</div>
